Bug 66389 - Buffer overflow in versions < 0.8.11
Buffer overflow in versions < 0.8.11
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: libesmtp (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
http://www.stafford.uklinux.net/libes...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-09 15:13 EDT by Pawel Salek
Modified: 2014-03-16 22:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-03 15:34:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pawel Salek 2002-06-09 15:13:33 EDT
There is a serious buffer overflow bug in all previous versions. This would
permit a malicious SMTP server to overwrite the stack and hence a carefully
crafted multiline response could download arbitrary code to be executed.

Visit the specified URL for more info. The fix (0.8.11) was released on 2002-03-06
Comment 1 Mark J. Cox (Product Security) 2003-02-12 06:52:19 EST
This is CAN-2002-1090 (cve.mitre.org).  libesmptd is only used by balsa in the
distribution.
Comment 2 Kjartan Maraas 2003-04-02 18:09:49 EST
Still not on the ftp servers?
Comment 3 David Lawrence 2003-04-03 15:34:01 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-109.html

Note You need to log in before you can comment on or make changes to this bug.